Subject: Re: bug#7651: 23.2.91; Rmail doesn't allow displaying text attachments conveniently

From: Kenichi Handa <[email-masked]>
Date: Thu, 16 Dec 2010 16:08:17 +0900

In article <[email-masked]>, Eli Zaretskii <[email-masked]> writes:

> The new Rmail-MIME feature is nice, but it has some rough edges.  One
> of them is that I lost an easy way of displaying many text
> attachments.

> Specifically, it looks like we display text attachments by default,
> but only if content-disposition is "inline".  Maybe that's what the
> various RFCs mandate, but why isn't there at least a button to display
> the text (in the same or another buffer) if the user decides to do
> that?

I noticed this problem with the original rmail-mime
behaviour too, and I'm now working on providing a convenient
way.

> Also, there's something strange in the way we treat text/x-patch
> attachments as text.  rmailmm.el has these 2 lines:

>     ("text/.*" rmail-mime-text-handler)
>     ("text/\\(x-\\)?patch" rmail-mime-bulk-handler)

> which to my interpretation mean that the second line will never be
> used, right?

I didn't change that part from the original.  And anyway,
currently rmail-mime-media-type-handlers-alist is not used
when rmail-enable-mime is t.  That's because the API of the
handler function is not usable for the new behavior, but we
should not change it at this moment.  I'm trying hard not to
change the original hevaior of M-x rmail-mime.

I hope I can commit related changes within this week.

---
Kenichi Handa
[email-masked]